package net.roseindia.dao;


import java.util.*;

import org.springframework.dao.DataAccessException;
import org.springframework.orm.hibernate3.support.HibernateDaoSupport;
import org.hibernate.criterion.*;
//Java Imports
import java.sql.*;

import javax.servlet.http.HttpSession;
//Project Imports

import net.roseindia.dao.hibernate.*;

/**
 * @author Deepak Kumar
 * Created on 02-July-2007
 */

public class HibernateSpringDAOImpl extends HibernateDaoSupport
		implements	HibernateSpringDAO {

	public User checkUser(String strUserName)
			throws DataAccessException, java.sql.SQLException {
		User obj = null;
		DetachedCriteria criteria = DetachedCriteria.forClass(User.class);
		criteria.add(Expression.eq("userName", strUserName));

		List objs = getHibernateTemplate().findByCriteria(criteria);
		if ((objs != null) && (objs.size() > 0)) {
			obj = (User) objs.get(0);
		}
		return obj;
	}	

	public User validateUser(String strUserName,String password) 
			throws DataAccessException, java.sql.SQLException {
		User obj = null;
		DetachedCriteria criteria = DetachedCriteria.forClass(User.class);
		criteria.add(Expression.eq("userName", strUserName));
		criteria.add(Expression.eq("userPassword", password));
		List objs = getHibernateTemplate().findByCriteria(criteria);
		if ((objs != null) && (objs.size() > 0)) {
			obj = (User) objs.get(0);
		}
		return obj;
	}	


	public void addUser(net.roseindia.dao.hibernate.User obj)
			throws DataAccessException {
		getHibernateTemplate().save(obj);
	}
}
;